#!/usr/bin/php
<?php
$commands["Restarts CW since last check"]="/usr/lib/nagios/plugins/check_callweaver_restart -W 15 -C 20 -w 30 -c 40";
$commands["CTIconnect Users"]="/usr/lib/nagios/plugins/check_ejabberd_connectedusers -W 90 -C 100";
$commands["Phone Users"]="/usr/lib/nagios/plugins/check_kamctl_registrations -W 290 -C 300";
$commands["Devices"]="/usr/lib/nagios/plugins/check_kamctl_devices -W 290 -C 300";
$commands["Partition / usage"]="/usr/lib/nagios/plugins/check_disk_usage -d / -w 97 -c 98";
$commands["CPU usage"]="/usr/lib/nagios/plugins/check_cpu_load -W 80 -C 90 -w 80 -c 90";
$commands["PING"]="/usr/lib/nagios/plugins/check_ping -H 8.8.8.8 -w 3000.0,80% -c 5000.0,100% -p 4";
/*
 *
 * 		echo "		<?xml version='1.0'?>"
		echo "		<checkresults>"
		echo "		  <checkresult type=\"host\" checktype=\"1\">"
		echo "		    <hostname>YOUR_HOSTNAME</hostname>"
		echo "		    <state>0</state>"
		echo "		    <output>OK|perfdata=1.00;5;10;0</output>"
		echo "		  </checkresult>"
		echo "		  <checkresult type=\"service\" checktype=\"1\">"
		echo "		    <hostname>YOUR_HOSTNAME</hostname>"
		echo "		    <servicename>YOUR_SERVICENAME</servicename>"
		echo "		    <state>0</state>"
		echo "		    <output>OK|perfdata=1.00;5;10;0</output>"
		echo "		  </checkresult>"
		echo "		</checkresults>"
 */

$hostname=file_get_contents("/sys/class/net/eth0/address");
$hostname=str_replace(":","",$hostname);
$hostname=str_replace("\n","",$hostname);

$template="<checkresult type=\"service\" checktype=\"1\"><hostname>{hostname}</hostname><servicename>{servicename}</servicename><state>{servicestate}</state><timestamp>{timestamp}</timestamp><output>{serviceoutput}</output></checkresult>";
$search=array("{hostname}","{servicename}","{servicestate}","{serviceoutput}","{timestamp}");
$ret="<?xml version='1.0'?>";
$ret.="<checkresults>";
foreach ($commands as $servicename=>$command){
	$serviceoutput=array();
	$servicestate=-1;
	exec($command,$serviceoutput,$servicestate);
	$serviceoutput=$serviceoutput[0];
	$replace=array($hostname,$servicename,$servicestate,$serviceoutput,time());
	$data=str_replace($search,$replace,$template);
	$ret.=$data;
}



$ret.="</checkresults>";

echo $ret;
